Skip to content
payrocdevelopers

Retrieve transaction

Browse API reference

GET/transactions/{transactionId}gettransaction

Use this method to retrieve information about a transaction.

Note: To retrieve a transaction, you need its transactionId. If you don't have the transactionId, use our List Transactions method to search for the transaction.

Our gateway returns the following information about the transaction:

  • Merchant and processing account that ran the transaction.
  • Transaction type, date, amount, and the payment method that the customer used.
  • Batch that contains the transaction, and authorization details for the transaction.
  • Processor that settled the transaction and the ACH deposit containing the transaction.

Parameters

NameInTypeDescription
transactionIdRequiredpathinteger

Unique identifier of the transaction.

Responses

Successful request. Returns the requested transaction.

200 OK · application/json
{
  "amount": 4999,
  "authorization": {
    "amount": 4999,
    "authorizationId": 303101,
    "avsResponseCode": "",
    "code": "A1B2C3",
    "link": {
      "href": "https://api.payroc.com/v1/authorizations/303101",
      "method": "get",
      "rel": "authorization"
    }
  },
  "batch": {
    "batchId": 12,
    "cycle": "am",
    "date": "2024-07-02",
    "link": {
      "href": "https://api.payroc.com/v1/batches/12",
      "method": "get",
      "rel": "batch"
    }
  },
  "card": {
    "avsRequest": true,
    "avsResponse": "",
    "cardNumber": "453985******7062",
    "cvvPresenceIndicator": true,
    "type": "visa"
  },
  "cashbackAmount": 0,
  "createdDate": "2024-07-02",
  "currency": "USD",
  "date": "2024-07-02",
  "entryMethod": "ecommerce",
  "interchange": {
    "basisPoint": 0,
    "transactionFee": 0
  },
  "lastModifiedDate": "2024-07-02",
  "merchant": {
    "doingBusinessAs": "Pizza Doe",
    "link": {
      "href": "https://api.payroc.com/v1/processing-accounts/38765",
      "method": "get",
      "rel": "processingAccount"
    },
    "merchantId": "4525644354",
    "processingAccountId": 38765
  },
  "settled": {
    "achDate": "2024-07-02",
    "achDepositId": 99,
    "link": {
      "href": "https://api.payroc.com/v1/ach-deposits/99",
      "method": "get",
      "rel": "achDeposit"
    },
    "settledBy": "3rd party"
  },
  "status": "paid",
  "transactionId": 442233,
  "type": "capture"
}
Response schema · 52 fields
  • amountinteger
    Transaction amount. We return the value in the currency's lowest denomination, for example, cents.
  • authorizationobject
    Object that contains information about the authorization.
    • amountinteger
      Authorization amount. We return the value in the currency's lowest denomination, for example, cents.
    • authorizationIdinteger
      Unique identifier of the authorization.
    • avsResponseCodestring
      Response code that indicates if the address matches the address registered to the customer.
    • codestring
      Authorization code. Note: For returns, the card brands may not provide an authorization code.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
  • batchobjectnull
    Object that contains information about the batch. If we can't match a dispute to a batch, we don't return 'batch' object.
    • batchIdinteger
      Unique identifier of the batch.
    • cyclestring
      Indicates the cycle that contains the batch.
    • datestringdate
      Date that the merchant submitted the batch.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
  • cardobject
    Object that contains information about the card.
    • avsRequestboolean
      Indicates whether the merchant used the Address Verification Service (AVS) to verify the cardholder's address.
    • avsResponsestring
      Response from the Address Verification Service (AVS).
    • cardNumberstring
      Masked card number. Our gateway shows only the first six digits and the last four digits of the card number, for example, 500165******0000.
    • cvvPresenceIndicatorboolean
      Indicates whether the cardholder provided the Card Verification Value (CVV).
    • typestringnull
      Card type, for example, Visa. Note: If we can’t match a dispute to a transaction, we don’t return a type object.visamasterCarddiscoverdebitebtwrightExpressvoyageramex+8 more
  • cashbackAmountinteger
    Cashback amount. We return the value in the currency's lowest denomination, for example, cents.
  • createdDatestringdate
    Date that we received the transaction. The format of this value is YYYY-MM-DD.
  • currencystring
    Currency of the transaction. The value for the currency follows the ISO 4217 standard.
  • datestringdate
    Date of the transaction. The format of this value is YYYY-MM-DD.
  • entryMethodstringnull
    Indicates how the merchant received the payment details.barcodeReadsmartChipReadswipedOriginUnknowncontactlessChipecommercemanuallyEnteredmanuallyEnteredFallbackswiped+5 more
  • interchangeobject
    Object that contains information about the interchange fees for the transaction.
    • basisPointinteger
      Interchange basis points that we apply to the transaction.
    • transactionFeeinteger
      Interchange fee for the transaction. We return the value in the currency's lowest denomination, for example, cents.
  • lastModifiedDatestringdate
    Date that the transaction was last changed. The format of this value is YYYY-MM-DD.
  • merchantobject
    Object that contains information about the merchant.
    • doingBusinessAsstring
      Trading name of the business.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
    • merchantIdstring
      Unique identifier that the processor assigned to the merchant.
    • processingAccountIdinteger
      Unique identifier that we assigned to the processing account.
  • settledobject
    Object that contains information about the settlement.
    • achDatestringdate
      Date that the processor settled the transaction. The format of this value is YYYY-MM-DD.
    • achDepositIdinteger
      Unique identifier of the ACH deposit.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
    • settledBystring
      Processor that settled the transaction.
  • statusstring
    Indicates the status of the transaction. The value is one of the following: fullSuspense – Merchant ran the transaction while their account was in full suspense. heldAudited – We have moved a transaction from fullSuspense and placed it on hold. heldReleasedAudited – We audited and released the transaction that we had previously held. holdForSettlement30Days We are holding the transaction for a maximum of 30 days. holdForSettlementDuplicate We held the transaction because the transaction may be a duplicate. holdLongTerm We are holding the transaction for an extended period. paid – We have paid the transaction funds to the merchant. paidByThirdParty A third party has paid the transaction funds to the merchant. partialRelease – We partially released the transaction funds. pull We pulled the transaction, and the merchant does not receive funds for the transaction. release We released the transaction that we previously held. new – We have prepared the funds from the transaction to send to the merchant. held – We held the transaction. unknown – No transaction status available.fullSuspenseheldAuditedheldReleasedAuditedholdForSettlement30DaysholdForSettlementDuplicateholdLongTermpaidpaidByThirdParty+6 more
  • transactionIdintegernull
    Unique identifier that we assigned to the transaction.
  • typestring
    Indicates the type of transaction. The value is one of the following: capture Transaction is a sale. return Transaction is a refund.capturereturn

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer